Bug 1439592 - Existing raid devices can't be reformatted in blivet-gui
Existing raid devices can't be reformatted in blivet-gui
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: blivet-gui (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vojtech Trefny
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-04-06 05:48 EDT by Jiri Kortus
Modified: 2017-04-13 10:07 EDT (History)
2 users (show)

See Also:
Fixed In Version: blivet-gui-2.1.2-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-04-13 10:07:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Kortus 2017-04-06 05:48:54 EDT
Description of problem:
Existing partition (or e. g. RAID device) cannot be reformatted in blivet-gui. When right-clicking on it, the 'Format' option is inactive / grayed out. It is rather inconvenient when reinstalling system using the already existing partitioning. The only feasible way to achieve this might be to remove the device in question and creating a new one (however, see BZ1439111, comment 9, where deleting of an existing RAID device and creating a new one was not entirely successful).

Version-Release number of selected component (if applicable):
blivet-gui-2.1.1-1.fc26.noarch

How reproducible:
100%

Steps to Reproduce:
1. Prepare a disk containing some partitioning (e. g. from a previous installation)
2. Try to use the existing partitioning in blivet-gui and reformat some of the existing partitions / devices, e. g. at least the root partition has to be formatted according to requirement in blivet error message when the user hasn't done so.

Actual results:
Existing partitions cannot be reformatted in blivet-gui.

Expected results:
Existing partitions can be reformatted in blivet-gui.
Comment 1 Vojtech Trefny 2017-04-07 03:54:37 EDT
Thanks for the report, I was able to reproduce this only for MD arrays. Did you really see it for partitions too?

https://github.com/rhinstaller/blivet-gui/pull/48
Comment 2 Jiri Kortus 2017-04-07 04:15:00 EDT
Yes, I saw it for plain partitions as well when I hit this bug. In some later installation, however, the option to format the partitions was available. So I wonder if there might be some connection with the existing RAID partitioning?
Comment 3 Vojtech Trefny 2017-04-07 04:16:50 EDT
Ok, thanks, I'll do some more testing with preexisting RAID partitioning.
Comment 4 Fedora Update System 2017-04-11 10:50:20 EDT
anaconda-26.21.3-1.fc26 blivet-gui-2.1.2-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-10db06fadf
Comment 5 Fedora Update System 2017-04-12 19:21:26 EDT
anaconda-26.21.3-1.fc26, blivet-gui-2.1.2-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-10db06fadf
Comment 6 Fedora Update System 2017-04-13 10:07:47 EDT
anaconda-26.21.3-1.fc26, blivet-gui-2.1.2-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.